## badge 1.0-2

=== src/Makefile ===
#############################################################################
# Makefile for building: badge
# Generated by qmake (2.01a) (Qt 4.5.2) on: mar dic 8 14:26:05 2009
# Project:  badge.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		badgewindow.cpp \
		badgedata.cpp \
		timetable.cpp \
		dialogday.cpp \
		dialogsearch.cpp \
		dialogcalendar.cpp moc_badgewindow.cpp \
		moc_dialogday.cpp \
		moc_dialogsearch.cpp \
		moc_dialogcalendar.cpp
OBJECTS       = main.o \
		badgewindow.o \
		badgedata.o \
		timetable.o \
		dialogday.o \
		dialogsearch.o \
		dialogcalendar.o \
		moc_badgewindow.o \
		moc_dialogday.o \
		moc_dialogsearch.o \
		moc_dialogcalendar.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		badge.pro
QMAKE_TARGET  = badge
DESTDIR       = 
TARGET        = badge

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: badge.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/badge1.0.0 || $(MKDIR) .tmp/badge1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.h badgedata.h timetable.h dialogday.h dialogsearch.h dialogcalendar.h .tmp/badge1.0.0/ && $(COPY_FILE) --parents main.cpp badgewindow.cpp badgedata.cpp timetable.cpp dialogday.cpp dialogsearch.cpp dialogcalendar.cpp .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.ui dialogday.ui dialogsearch.ui dialogcalendar.ui .tmp/badge1.0.0/ && (cd `dirname .tmp/badge1.0.0` && $(TAR) badge1.0.0.tar badge1.0.0 && $(COMPRESS) badge1.0.0.tar) && $(MOVE) `dirname .tmp/badge1.0.0`/badge1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/badge1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
moc_badgewindow.cpp: badgewindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) badgewindow.h -o moc_badgewindow.cpp

moc_dialogday.cpp: timetable.h \
		dialogday.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogday.h -o moc_dialogday.cpp

moc_dialogsearch.cpp: dialogsearch.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogsearch.h -o moc_dialogsearch.cpp

moc_dialogcalendar.cpp: dialogcalendar.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogcalendar.h -o moc_dialogcalendar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
compiler_uic_clean:
	-$(DEL_FILE) ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
ui_badgewindow.h: badgewindow.ui
	/usr/bin/uic-qt4 badgewindow.ui -o ui_badgewindow.h

ui_dialogday.h: dialogday.ui
	/usr/bin/uic-qt4 dialogday.ui -o ui_dialogday.h

ui_dialogsearch.h: dialogsearch.ui
	/usr/bin/uic-qt4 dialogsearch.ui -o ui_dialogsearch.h

ui_dialogcalendar.h: dialogcalendar.ui
	/usr/bin/uic-qt4 dialogcalendar.ui -o ui_dialogcalendar.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp badgewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

badgewindow.o: badgewindow.cpp badgewindow.h \
		ui_badgewindow.h \
		dialogday.h \
		timetable.h \
		badgedata.h \
		dialogsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgewindow.o badgewindow.cpp

badgedata.o: badgedata.cpp badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgedata.o badgedata.cpp

timetable.o: timetable.cpp timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o timetable.o timetable.cpp

dialogday.o: dialogday.cpp dialogday.h \
		timetable.h \
		ui_dialogday.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogday.o dialogday.cpp

dialogsearch.o: dialogsearch.cpp dialogsearch.h \
		ui_dialogsearch.h \
		dialogcalendar.h \
		badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogsearch.o dialogsearch.cpp

dialogcalendar.o: dialogcalendar.cpp dialogcalendar.h \
		ui_dialogcalendar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogcalendar.o dialogcalendar.cpp

moc_badgewindow.o: moc_badgewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_badgewindow.o moc_badgewindow.cpp

moc_dialogday.o: moc_dialogday.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogday.o moc_dialogday.cpp

moc_dialogsearch.o: moc_dialogsearch.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogsearch.o moc_dialogsearch.cpp

moc_dialogcalendar.o: moc_dialogcalendar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogcalendar.o moc_dialogcalendar.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## badge 1.0

=== debian/changelog ===
badge (1.0) unstable; urgency=low

  * Initial release 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/control ===
Source: badge
Section: user/other
Priority: optional
Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev 
Standards-Version: 3.7.2

Package: badge
Architecture: any
Depends: libqt4-maemo5-dev, libqt4-core (>= 4.6.0), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.6.0), libstdc++6 (>= 4.2.1),, hildon-application-manager
Description: Qt Badge application
 Badge is a software to record the times of exit, entry and rests on the working day
 .
 Further Information: badge.garage.maemo.org 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gIDg0MI+QcpT0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAFY0lEQVRIx72WXWwcVxXHfzOz4931eu1df8Um
 dpw0bkII0KR1UqzWpkJIFUhtIwjKEyCBxAuoEn3h4xFekAChwkMlnioBItCEFiFRqBo1bdI2SpO0
 BhfZcez4i7W99u7auzu7c+/cDx6ySZ1gJ62QuNJo5o40/9/9H50558D/aXl3vhg9njn+rZ/t/Pnw
 U5mB/UPN7uz79fV61Yj/FeRs3nT1NaU/NZK6dOJ7Pft8z0MqZaUwlUpJj4nAnF/LRefOnV6//M/X
 q2uA+Sig2ObNzvvj3/Zizj4/5nNo1x60VU4ow9ZAhCOBECPBJ+QPDg63BJWSmggD81ZpJXpj7LXq
 xbN/KOUA9aEdHf1C67ttnbFDX//hXg70fvzGoR2Nc/PuaIyJqMmQahhSESHlaiiKBTkTBvrtckGd
 m36vfvbFZ1dn7+roJth1mtA62QBYHCyuC67jEHMhnjBkEgqDxHSLuBgQB6ph7cBGrfaNTFfp5b8+
 F3zlyJ4TPTKqlC7OnCpuBbqxrIfWPjegFs91iVmfqA5LSzVqocT3PTq72shkHawTkklEJKzgxb+Z
 4aHBw9dOHP1xRxCuXbg4c2p0W5C1ECkH1wHH9Ym5Tfx72jA1KXGcJLhxcDTzM4qubof9n2wjCKq8
 /UqVhTcHMk88/AwdnW1QrsS3Cx0AxlqUtriOi+96rMw5TI0l8bwWmprr9OwCz4X8kqG46DEeCIwn
 eedUO8MHP09bNoWfFqQ895amuzXIIJXEGIVVcPVKkoTXTqpN8ulHNZ0Dkq7dhgeO+nR3eyxONvHm
 79L0Z4cYefhxTp35Fal2SLU7dwdpq5C6jraS3EyEbzsQYcjuB8qUo3XqUY3VxYgzpw3tH6uSW8wx
 +w/No498DuEWeOjwENmeODv6M33f/eZPBrcNnTYSoSr4nmZpLoaoCvzsMsItobTGlJsZP9ONVjGm
 p+cRZpmFXJyWrE//rj72HfwqnuehlNORbm3uAq5tAxKEukRcS1aXDVGpRLY1j9QbRIHH+d+naG32
 iGfn6NhTIj2maLuvwk9feIriv/qIq15++8fn2AjzYz/6xdMXts86DKEqEI8JAiEoLrcQNRe5Pwo5
 /SzEVDvr3jzyWki6v0ay2aVnZyv9j6xyuTYxp6fa/7S0NttZ2Fi5Atjt/6NGQiijyPYKrl0qUiwr
 Ro/5CBGg3Os89oTPy88nePU3CZIpS0efZPDBJJEtz/761ZPPjHzx5G167nYgi0VqxeBDDusbearr
 Lq+/VOdr32/mye9odh2KGP1SlVrVUMw77D0sSWVdegfjW1Z697Zn+8HeWoi0goRk6HFJuVzm7EuC
 k78ssDqvmRmTTLxXZq1QIJ/Pc+V8AdcFv8kx96recWtvD6W2hkCGDB9rYXmhzIW/C955Dd56ZR1j
 DNZaegdi7Oj32Pugj7H2nm3CAdLGWP/2UmSROqIcBRx7Os3+Iz5v/LnI0nxIMuVyeDTNZ49nMa5C
 WonQEVpZH4gDYjtHSex/d1xjLUJJtNHsPuKz7zM7cB0XbTShigh0BaPtLTeiblJABljd3Bw3O3Lu
 7E+bYZFWKKOpIcC54dZaiwXqVaNWrotSbkZOT12u/WWrESF2K8kgrFfNOLB76yz8QDzY0DI3JYoL
 k+Hc1JX61NTl2kStrGeBRWABWL+z1W8GVa+P15/vHmh6DGi55cZgy2tKLF4NVxcmxOzVS7Wr0+/W
 JiNp54AVYA3YAAIgBCJA3y3r6vWquVRcjl4o5KIvL0yE+bn3w7mJi8Hk7Hg42ThpHigA5YawaMwK
 +mYF+FAzA5AA9gB7Gx8XG1cZqAGyIWzuJXwvkAP4QFND6GYYPrLwnes/C0zgfY79KusAAAAASUVO
 RK5CYII=

## badge 1.0-1

=== debian/changelog ===
badge (1.0-1) unstable; urgency=low

  * Fix dependencies 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: badge
 Architecture: any
-Depends: libqt4-maemo5-dev, libqt4-core (>= 4.6.0), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.6.0), libstdc++6 (>= 4.2.1),, hildon-application-manager
+Depends: libqt4-maemo5-dev, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1),, hildon-application-manager
 Description: Qt Badge application
  Badge is a software to record the times of exit, entry and rests on the working day
  .

## badge 1.0-2

=== debian/changelog ===
badge (1.0-2) unstable; urgency=low

  * Fix dependencies 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/other
 Priority: optional
 Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev 
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev
 Standards-Version: 3.7.2
 
 Package: badge
 Architecture: any
-Depends: libqt4-maemo5-dev, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1),, hildon-application-manager
+Depends: libqt4-maemo5-gui, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Qt Badge application
  Badge is a software to record the times of exit, entry and rests on the working day
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := badge
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake  ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## badge 1.0-3

=== debian/changelog ===
badge (1.0-3) unstable; urgency=low

  * Add desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

## badge 1.0-4

=== src/Makefile ===
#############################################################################
# Makefile for building: ../badge
# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Feb 16 10:51:31 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		badgewindow.cpp \
		badgedata.cpp \
		timetable.cpp \
		dialogday.cpp \
		dialogsearch.cpp \
		dialogcalendar.cpp moc_badgewindow.cpp \
		moc_dialogday.cpp \
		moc_dialogsearch.cpp \
		moc_dialogcalendar.cpp
OBJECTS       = main.o \
		badgewindow.o \
		badgedata.o \
		timetable.o \
		dialogday.o \
		dialogsearch.o \
		dialogcalendar.o \
		moc_badgewindow.o \
		moc_dialogday.o \
		moc_dialogsearch.o \
		moc_dialogcalendar.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = badge
DESTDIR       = ../
TARGET        = ../badge

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/badge1.0.0 || $(MKDIR) .tmp/badge1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.h badgedata.h timetable.h dialogday.h dialogsearch.h dialogcalendar.h .tmp/badge1.0.0/ && $(COPY_FILE) --parents main.cpp badgewindow.cpp badgedata.cpp timetable.cpp dialogday.cpp dialogsearch.cpp dialogcalendar.cpp .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.ui dialogday.ui dialogsearch.ui dialogcalendar.ui .tmp/badge1.0.0/ && (cd `dirname .tmp/badge1.0.0` && $(TAR) badge1.0.0.tar badge1.0.0 && $(COMPRESS) badge1.0.0.tar) && $(MOVE) `dirname .tmp/badge1.0.0`/badge1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/badge1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
moc_badgewindow.cpp: badgewindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) badgewindow.h -o moc_badgewindow.cpp

moc_dialogday.cpp: timetable.h \
		dialogday.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogday.h -o moc_dialogday.cpp

moc_dialogsearch.cpp: dialogsearch.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogsearch.h -o moc_dialogsearch.cpp

moc_dialogcalendar.cpp: dialogcalendar.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogcalendar.h -o moc_dialogcalendar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
compiler_uic_clean:
	-$(DEL_FILE) ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
ui_badgewindow.h: badgewindow.ui
	/opt/qt4-maemo5/bin/uic badgewindow.ui -o ui_badgewindow.h

ui_dialogday.h: dialogday.ui
	/opt/qt4-maemo5/bin/uic dialogday.ui -o ui_dialogday.h

ui_dialogsearch.h: dialogsearch.ui
	/opt/qt4-maemo5/bin/uic dialogsearch.ui -o ui_dialogsearch.h

ui_dialogcalendar.h: dialogcalendar.ui
	/opt/qt4-maemo5/bin/uic dialogcalendar.ui -o ui_dialogcalendar.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp badgewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

badgewindow.o: badgewindow.cpp badgewindow.h \
		ui_badgewindow.h \
		dialogday.h \
		timetable.h \
		badgedata.h \
		dialogsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgewindow.o badgewindow.cpp

badgedata.o: badgedata.cpp badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgedata.o badgedata.cpp

timetable.o: timetable.cpp timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o timetable.o timetable.cpp

dialogday.o: dialogday.cpp dialogday.h \
		timetable.h \
		ui_dialogday.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogday.o dialogday.cpp

dialogsearch.o: dialogsearch.cpp dialogsearch.h \
		ui_dialogsearch.h \
		dialogcalendar.h \
		badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogsearch.o dialogsearch.cpp

dialogcalendar.o: dialogcalendar.cpp dialogcalendar.h \
		ui_dialogcalendar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogcalendar.o dialogcalendar.cpp

moc_badgewindow.o: moc_badgewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_badgewindow.o moc_badgewindow.cpp

moc_dialogday.o: moc_dialogday.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogday.o moc_dialogday.cpp

moc_dialogsearch.o: moc_dialogsearch.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogsearch.o moc_dialogsearch.cpp

moc_dialogcalendar.o: moc_dialogcalendar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogcalendar.o moc_dialogcalendar.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

=== debian/changelog ===
badge (1.0-4) unstable; urgency=low

  * fix desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

## badge 1.0-5

=== debian/changelog ===
badge (1.0-5) unstable; urgency=low

  * fix location desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-#	dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## badge 1.0-6

=== debian/changelog ===
badge (1.0-6) unstable; urgency=low

  * second fix location desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

## badge 1.0-7

=== debian/changelog ===
badge (1.0-7) unstable; urgency=low

  * third fix dependencie

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

## badge 1.0-8

=== debian/changelog ===
badge (1.0-8) unstable; urgency=low

  * fourty fix dependencie

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: badge
 Architecture: any
-Depends: libqt4-maemo5-gui, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
+Depends: libqt4-maemo5-maemo5, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Qt Badge application
  Badge is a software to record the times of exit, entry and rests on the working day
  .

## badge 1.0-9

=== debian/changelog ===
badge (1.0-9) unstable; urgency=low

  * fix save

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake  ../$(APPNAME).pro
+	cd builddir && /opt/qt4-maemo5/bin/qmake  PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## badge 1.1

=== debian/changelog ===
badge (1.1) unstable; urgency=low

  * fix search

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Tue, 2 Mar 2010 12:17:22 +0100

## badge 1.1-1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../badge
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Feb 16 10:51:31 2010
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Feb 19 10:01:09 2010
 # Project:  src.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
@@ -10,12 +10,12 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
+DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I. -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
 LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
@@ -64,24 +64,25 @@
 		moc_dialogday.o \
 		moc_dialogsearch.o \
 		moc_dialogcalendar.o
-DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = badge
 DESTDIR       = ../
@@ -115,48 +116,50 @@
 	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+Makefile: src.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
 		/opt/qt4-maemo5/lib/libQtDBus.prl \
 		/opt/qt4-maemo5/lib/libQtXml.prl \
 		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile src.pro
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
 /opt/qt4-maemo5/lib/libQtMaemo5.prl:
 /opt/qt4-maemo5/lib/libQtDBus.prl:
 /opt/qt4-maemo5/lib/libQtXml.prl:
@@ -285,3 +288,5 @@
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
 	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
+	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
+

=== debian/changelog ===
badge (1.1-1) unstable; urgency=low

  * fix search result

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Tue, 4 Mar 2010 12:17:22 +0100
